Show User Profile

Use this endpoint to return the details of the input User’s ID.

Overview

This endpoint returns the profile of the user of the ID whose value is passed in as the required current_user_id query parameter.

Sample Response Body

{
    "id": 1580756,
    "first_name": "Lindsay",
    "last_name": "Bluth",
    "email": "[email protected]",
    "time_zone": "Pacific Time (US & Canada)",
    "upload_secret": "2c06cf63-ab93-4ece-a6e0-be54375189e9",
    "orgs": [
        {
            "id": 612013,
            "name": "My Team",
            "example_jobs_cloned": true,
            "feature_access": {
                "integrations": {},
                "email_send_receipt": {},
                "export_advanced_job": {},
                "design_view_measurements_tool": {},
                "measurements_files_access": {},
                "measurements_co_brand": {},
                "lead_homeowner_capture": {},
                "prospect": {},
                "team_management_advanced": {},
                "export_esx": {},
                "gallery_and_screenshot_mode": {},
                "gutters_and_downspouts": {},
                "blueprints": {},
                "hi_def_rendering": {},
                "inspection_checklist": {},
                "blueprints_roof_only": {}
            },
            "preferences": {
                "external_identifier_label": "Lead Number",
                "external_identifier_required": false
            },
            "plan": {
                "id": 5548,
                "name": "Trial",
                "partner_id": 1,
                "machete": true,
                "measurements": true,
                "measurements_branding": true,
                "ordering": false,
                "basic_export": true,
                "advanced_export": true,
                "basic_design": true,
                "advanced_design": true,
                "basic_team_management": false,
                "advanced_team_management": true,
                "created_at": "2022-08-12T00:40:11.511Z",
                "updated_at": "2023-08-25T13:38:40.613Z",
                "default": false,
                "visible": false,
                "sort_index": 77,
                "feature_icons": null,
                "feature_bullets": null,
                "email_receipt": true,
                "auto_assign_leads": false,
                "partner_analytics": false,
                "org_analytics": false,
                "allow_photo_only_capture": true,
                "homeowner_lead_capture": true,
                "plan_after_trial_id": 154,
                "allows_instant_estimate": false,
                "allow_upgrade_to_pro": false,
                "allow_multi_family_residential_captures": false,
                "synced_monthly_with_stripe": false,
                "synced_yearly_with_stripe": false,
                "tier": "scale",
                "deleted": false,
                "deleted_at": null,
                "metadata": {
                    "custom": false
                },
                "stripe_product_identifier": "prod_MOFtSiAaFSYnbC",
                "description": ""
            }
        }
    ],
    "accesses": [
        {
            "org_id": 612013,
            "is_admin": true
        }
    ]
}
Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here!